/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.scriptcase.db.entity.App;
import net.northking.cctp.scriptcase.dto.app.AppCreator;
import net.northking.cctp.scriptcase.dto.app.AppDetailDto;
import net.northking.cctp.scriptcase.dto.app.AppQueryDto;
import net.northking.cctp.scriptcase.dto.app.AppVersionQueryDto;

import java.util.List;

/**
 * 应用表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-10-13 10:00:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AppService extends BasicService<App>
{
    List<AppCreator> queryCreator(AppQueryDto query);

    Pagination<AppDetailDto> myPagingQuery(QueryByPage<AppQueryDto> queryByPage);

    List<App> queryAppList(App app);

    List<App> checkAppAlive(List<String> ids);

    Pagination<App> PagingQueryGroupByPackage(QueryByPage<AppVersionQueryDto> queryByPage);

    List<String> selectCreatorByProject(String projectId);



}
